package ui.controller;

import ui.model.Model;

public class GlobalController {

	private Model MODEL;

	public GlobalController(Model model) {
		this.MODEL = model;
	}

	/**
	 * Returns SCALE
	 * 
	 * @return SCALE
	 */
	public int getScale(){
		return MODEL.getScale();
	}
	
	/**
	 * Returns SCALE Divided by 2
	 * 
	 * @return SCALE Divided by 2
	 */
	public int getScaleDiv2(){
		return MODEL.getScaleDiv2();
	}
	
	/**
	 * Changes the value of SCALE and SCALEDIV2
	 * 
	 * @param int Scale
	 */
	public void setScale(int s){
		MODEL.setScale(s);
	}

}
